Subject: Re: [BUG] Bad msysgit/egit interaction over dotfiles

From: Ferry Huberts <[email-masked]>
Date: Tue, 08 Dec 2009 14:42:23 +0100

On 12/08/2009 02:34 PM, Erik Faye-Lund wrote:
> On Tue, Dec 8, 2009 at 2:28 PM, Yann Dirson <[email-masked]> wrote:
>> I'm not sure who's at fault here - namely, I can't see any valid
>> reason for eclipse to refuse such writes, but I am not sure it is a
>> good reason for msysgit would set the hidden bit either.  In either
>> case, even if only for the short term, I think msysgit should ensure
>> that this bit does not get set (possibly circumventing any magic msys
>> would do behind its back).
> 
> Setting the config option "core.hidedotfiles" to "false" should
> prevent this from happening.
> 

why isn't this the default?

I also experienced this change in behaviour and I thought we would
strive to keep the experience the same.